Subject: Re: [IPsec] Update to RFC4307 too?

From: Michael Richardson <[email-masked]>
Date: Fri, 1 Nov 2013 16:07:12 -0400 (EDT)

: signature: ~/.signature.ietf
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
	micalg=pgp-sha1; protocol="application/pgp-signature"
Date: Fri, 01 Nov 2013 16:07:12 -0400
Message-ID: <[email-masked]>
Sender: [email-masked]

--=-=-=

{catching up on old email}

Tero Kivinen <[email-masked]> wrote:
> Fix PRF_AES128_CBC to PRF_AES128_XCBC and downgrade it from SHOULD+ to SHOULD.

this is the only one which I didn't understand.

Michael Richardson
-on the road-

--=-=-=
Content-Type: application/pgp-signature

--=-=-=--

---

From: Yoav Nir <[email-masked]>
Date: Sat, 2 Nov 2013 01:39:52 +0000

> this is the only one which I didn't understand.

Which one? There's two parts there.

AES-XCBC was supposed to take the world over by storm from the HMAC constructions. Except it didn't - everybody still uses HMAC-SHA1, it's still considered secure, and those who don't use HMAC-SHA1, use GHASH. So we no longer expect this to become a MUST in the future, hence the removal of the "+".

Yoav

---

From: Michael Richardson <[email-masked]>
Date: Sat, 02 Nov 2013 15:14:06 -0400

> Which one? There's two parts there.

True. 
So, the "_CBC" to "_XCBC" is either a typo in the email or in the spec, and:

    > AES-XCBC was supposed to take the world over by storm from the HMAC
    > constructions. Except it didn't - everybody still uses HMAC-SHA1, it's
    > still considered secure, and those who don't use HMAC-SHA1, use
    > GHASH. So we no longer expect this to become a MUST in the future,
    > hence the removal of the "+".

Within the IPsec community, I agree that this is the case, thank you for the explanation.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Tero Kivinen <[email-masked]>
Date: Mon, 4 Nov 2013 19:47:54 +0200

> So, the "_CBC" to "_XCBC" is either a typo in the email or in the spec, and:

Yes. The original spec had typo. And the specifications are not
exactly consistent with namings. 

The original (RFC3664) and revised (RFC4434) used name
AES-XCBC-PRF-128 for the algorithm, but neither one of them did
specific IANA allocations. The IANA Allocation was done in the RFC4306
and it used the name PRF_AES128_XCBC for that algorithm. This is the
name that is in the iana registry
(http://www.iana.org/assignments/ikev2-parameters/ikev2-parameters.xhtml).

The RFC4307 used PRF_AES128_CBC to refer to same algorithm. There is
no problem in the interoperability as it also refers to the correct
number and has pointer to the correct specification for the algoritm,
but I think we should fix this typo while we are revising this
document.
-- 
[email-masked]

---

From: Yaron Sheffer <[email-masked]>
Date: Mon, 04 Nov 2013 20:02:53 +0200

Hi Tero,

Can you please submit an errata to RFC 4307 with this detail?

Thanks,
	Yaron